//
//  AppDelegate.m
//  CLRealPersonDemo
//
//  Created by ydong on 2021/6/5.
//  Copyright © 2021年 ydong. All rights reserved.
//

#import "AppDelegate.h"
#import "CLRealPersonSDK/CLRealPersonSDK.h"
#import "CLHomePageViewController.h"

@interface AppDelegate ()

@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    self.window.backgroundColor = [UIColor whiteColor];
    [CLCoreManager printConsoleEnable:NO];
    
    [CLCoreManager initWithAppkey:RS_APPKEY];
    // token有效期30分钟，建议在需要时获取一次
    [self configToken];
    
    [CLRealPersonManager setToken:@""];
    
    [self configNav];
    CLHomePageViewController *vc = [[CLHomePageViewController alloc] init];
    UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:vc];
    self.window.rootViewController = nav;
    [self.window makeKeyWindow];
    return YES;
}

- (void)configToken {
    AFHTTPSessionManager *manager = [AFHTTPSessionManager manager];
    manager.responseSerializer.acceptableContentTypes = [NSSet setWithObjects:@"text/plain", nil];
    manager.requestSerializer = [AFJSONRequestSerializer serializer];
    NSMutableDictionary *dict = [NSMutableDictionary dictionary];
    [dict setObject:RS_APPKEY forKey:@"appKey"];
    [dict setObject:RS_APPSECRET forKey:@"appSecret"];
    [dict setObject:[NSUUID UUID].UUIDString.lowercaseString forKey:@"did"];
    [manager POST:RS_TOKEN_URL parameters:dict headers:nil progress:nil success:^(NSURLSessionDataTask * _Nonnull task, id  _Nullable responseObject) {
            if ([responseObject isKindOfClass:NSDictionary.class] && [@"000000" isEqualToString: responseObject[@"code"] ]) {
                NSLog(@"设置token： == %@", responseObject[@"data"][@"authToken"]);
                [CLApplication sharedInstance].token = responseObject[@"data"][@"authToken"];
                [CLRealPersonManager setToken:responseObject[@"data"][@"authToken"]];
                [CLOCRManager setToken:responseObject[@"data"][@"authToken"]];
                [CLToastView showNotice:@"token 设置成功"];
                dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(29*60 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
                    [self configToken];
                });
            }
            else {
                NSLog(@" == token获取失败，重试");
                dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(3 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
                    [self configToken];
                });
            }
        }
        failure:^(NSURLSessionDataTask * _Nullable task, NSError * _Nonnull error) {
            NSLog(@"token获取失败，failure重试 == ");
            dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(3 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
                [self configToken];
            });
    }];
}

- (void)configNav {
    if (@available(iOS 15.0, *)) {
        UINavigationBarAppearance *appearance = [[UINavigationBarAppearance alloc] init];
         [appearance configureWithOpaqueBackground];
         appearance.backgroundColor = UIColor.whiteColor;
         NSMutableDictionary *attributes = [NSMutableDictionary dictionary];
         [attributes setValue:UIColor.blackColor forKey:NSForegroundColorAttributeName];
         appearance.titleTextAttributes = attributes;
         [UINavigationBar appearance].standardAppearance = appearance;
        [UINavigationBar appearance].scrollEdgeAppearance = appearance;
    }
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    if (self.enterBackgroundHandler) {
       self.enterBackgroundHandler();
    }
}

@end
