//
//  CLOCRUtil.h
//  CLOCRSDK
//
//  Created by ydong on 2022/3/29.
//

#import <Foundation/Foundation.h>

#define __BASE64( text )        [CommonFunc base64StringFromText:text]
#define __TEXT( base64 )        [CommonFunc textFromBase64String:base64]

NS_ASSUME_NONNULL_BEGIN

@interface CLOCRUtil : NSObject

+ (void)setToken:(NSString *)token;

+ (void)setAppId:(NSString *)appId;

+ (NSString *)getToken;

+ (NSString *)getAppId;


// 加密方法
+ (NSString*)encrypt:(NSString*)plainText;

// 解密方法
+ (NSString*)decrypt:(NSString*)encryptText;

+ (NSString *)rsaRandomWithString:(NSString *)randomUUID;
+ (NSData *)gzipAndAesData:(NSData *)data withRandomUUID:(NSString *)randomUUID withZip:(BOOL)zip;

/// 将文本转换为base64格式字符串
/// @param text 文本
+ (NSString *)base64StringFromText:(NSString *)text;

/// 将数据转换为base64格式字符串
/// @param data 文本
+ (nullable NSString *)base64EncodedStringFrom:(NSData *)data;

/// 将base64格式字符串转换为文本
/// @param base64 base64格式字符串
+ (NSString *)textFromBase64String:(NSString *)base64;

/// 将base64格式字符串转换为数据
/// @param string base64格式字符串
+ (nullable NSData *)dataWithBase64EncodedString:(NSString *)string;

@end

NS_ASSUME_NONNULL_END
