//
//  CLRealEditResultViewController.m
//  CLRealPersonDemo
//
//  Created by ydong on 2021/6/25.
//  Copyright © 2021 ydong. All rights reserved.
//

#import "CLRealEditResultViewController.h"
#import "CLCheckResultViewController.h"

@interface CLRealEditResultViewController ()

@property (weak, nonatomic) IBOutlet UIButton *nextBtn;
@property (weak, nonatomic) IBOutlet UIView *bgView;
@property (weak, nonatomic) IBOutlet UIImageView *imgView;
@property (weak, nonatomic) IBOutlet UITextField *nameTf;
@property (weak, nonatomic) IBOutlet UITextField *numTf;

@end

@implementation CLRealEditResultViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = HexColor(@"FFFFFF");
    self.title = @"识别结果";
    
    self.imgView.image = [CLApplication sharedInstance].img;
    self.bgView.layer.cornerRadius = 5;
    self.bgView.layer.shadowColor = [UIColor colorWithRed:28/255.0 green:56/255.0 blue:107/255.0 alpha:0.13].CGColor;
    self.bgView.layer.shadowOffset = CGSizeMake(0, 2);
    self.bgView.layer.shadowRadius = 5;
    self.bgView.layer.shadowOpacity = 1;
    self.nextBtn.layer.cornerRadius = 3;
    
    self.nameTf.text = [CLApplication sharedInstance].name;
    self.numTf.text = [CLApplication sharedInstance].idNumber;
}

- (IBAction)btnClick:(UIButton *)sender {
    if (self.nameTf.text.length<1 || self.numTf.text.length<1) {
        [CLToastView showNotice:@"身份证信息为空"];
        return;
    }
    UIActivityIndicatorView *indicatorView = [[UIActivityIndicatorView alloc]initWithFrame:self.view.frame];
    indicatorView.color = [UIColor blueColor];
    indicatorView.activityIndicatorViewStyle = UIActivityIndicatorViewStyleWhiteLarge;
    [indicatorView startAnimating];
    [self.view addSubview:indicatorView];
    [CLOCRManager realPersonDectect:self.nameTf.text idNumber:self.numTf.text complete:^(CLCoreHttpResopnse * _Nullable httpResopnse) {
        dispatch_async(dispatch_get_main_queue(), ^{
            [indicatorView stopAnimating];
            [indicatorView removeFromSuperview];
            CLCheckResultViewController *vc = [[CLCheckResultViewController alloc] init];
            vc.checkSucess = NO;
            if (httpResopnse && [@"000000" isEqualToString:httpResopnse.code]) {
                if (httpResopnse.data && [@"01" isEqualToString:httpResopnse.data[@"result"]]) {
                    vc.checkSucess = YES;
                }
                else {
                    vc.message = httpResopnse.data[@"remark"];
                }
            }
            else {
                vc.message = httpResopnse.message;
            }
            [self.navigationController pushViewController:vc animated:YES];
        });
    }];
}

@end
