//
//  CLRealResultViewController.m
//  CLRealPersonDemo
//
//  Created by ydong on 2021/6/17.
//  Copyright © 2021 ydong. All rights reserved.
//

#import "CLRealResultViewController.h"
#import "CLRealViewController.h"
#import "CLCheckResultViewController.h"
#import "CLApplication.h"
#import "CLRealEditResultViewController.h"

@interface CLRealResultViewController ()

@property (weak, nonatomic) IBOutlet UIButton *nextBtn;
@property (weak, nonatomic) IBOutlet UIButton *backButton;
@property (weak, nonatomic) IBOutlet UIView *bgView;
@property (weak, nonatomic) IBOutlet UIImageView *ghImgView;
@property (weak, nonatomic) IBOutlet UILabel *ghLabel;
@property (strong, nonatomic) IBOutlet UIView *lineView;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;

@end

@implementation CLRealResultViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = HexColor(@"FFFFFF");
    self.navigationController.navigationBar.tintColor = UIColor.blackColor;
    self.navigationController.navigationBar.translucent = NO;
    self.title = @"上传证件";
    if (self.emblem) {
        self.lineView.backgroundColor = HexColor(@"#3F75FC");
        self.ghLabel.textColor = HexColor(@"#3F75FC");
        self.ghImgView.image = [UIImage imageNamed:@"gh_s"];
    }
    self.imageView.image = self.image;
    self.bgView.layer.cornerRadius = 5;
    self.bgView.layer.shadowColor = [UIColor colorWithRed:28/255.0 green:56/255.0 blue:107/255.0 alpha:0.13].CGColor;
    self.bgView.layer.shadowOffset = CGSizeMake(0, 2);
    self.bgView.layer.shadowRadius = 5;
    self.bgView.layer.shadowOpacity = 1;
    self.nextBtn.layer.cornerRadius = 3;
}

- (IBAction)backBtnClick:(UIButton *)sender {
    [self.navigationController popViewControllerAnimated:YES];
}

- (IBAction)nextBtnClick:(UIButton *)sender {
    UIActivityIndicatorView *indicatorView = [[UIActivityIndicatorView alloc]initWithFrame:self.view.frame];
    indicatorView.color = [UIColor blueColor];
    indicatorView.activityIndicatorViewStyle = UIActivityIndicatorViewStyleWhiteLarge;
    [indicatorView startAnimating];
    [self.view addSubview:indicatorView];
    if (!self.image) {
        [indicatorView stopAnimating];
        [indicatorView removeFromSuperview];
        [CLToastView showNotice:@"图片参数为空"];
        return;
    }
    [CLOCRManager realPersonOCR:self.image isFront:!self.emblem complete:^(CLCoreHttpResopnse * _Nullable httpResopnse) {
        NSLog(@"%@", httpResopnse.data);
        dispatch_async(dispatch_get_main_queue(), ^{
            [indicatorView stopAnimating];
            [indicatorView removeFromSuperview];
            if (httpResopnse && [@"000000" isEqualToString:httpResopnse.code]) {
                if ([httpResopnse.data isKindOfClass:NSDictionary.class] ) {
                    if([[httpResopnse.data allKeys] containsObject:@"msg"]) {
                        if (self.emblem) {
                            [CLToastView showNotice:[NSString stringWithFormat:@"国徽面:%@" ,httpResopnse.data[@"msg"]]];
                        }
                        else {
                            [CLToastView showNotice:[NSString stringWithFormat:@"人像面:%@" ,httpResopnse.data[@"msg"]]];
                        }
                        return;
                    }
                }
                if (self.emblem) {
                    CLRealEditResultViewController *editVc = [[CLRealEditResultViewController alloc] init];
                    [self.navigationController pushViewController:editVc animated:YES];
                }
                else {
                    [CLApplication sharedInstance].name = httpResopnse.data[@"name"];
                    [CLApplication sharedInstance].idNumber = httpResopnse.data[@"id_card_no"];
                    [CLApplication sharedInstance].img = self.image;
                    CLRealViewController *vc = [[CLRealViewController alloc] init];
                    vc.emblem = YES;
                    [self.navigationController.viewControllers[0].navigationController pushViewController:vc animated:YES];
                    if (self.navigationController.viewControllers.count==4) {
                        [self.navigationController setViewControllers:@[self.navigationController.viewControllers[0], self.navigationController.viewControllers[3]]];
                    }
                    else if (self.navigationController.viewControllers.count==5) {
                        [self.navigationController setViewControllers:@[self.navigationController.viewControllers[0], self.navigationController.viewControllers[4]]];
                    }
                }
            }
            else {
                if (httpResopnse.code) {
                    [CLToastView showNotice:[NSString stringWithFormat:@"识别出错:%@" ,httpResopnse.message]];
                }
                else {
                    [CLToastView showNotice:@"识别出错:检查网络"];
                }
            }
        });
    }];
}

@end
